Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.command.impl
Class Command_QUIT

    java.lang.Object
      things.thinger.service.command.Command
          things.thinger.service.command.impl.Command_QUIT

    public final class Command_QUIT

extends Command

Tell the server to quit.

Version:
  1.0

  Version History

      EPG - Initial - 14 SEP 07

Author:
  Erich P. Gatejen

Nested Class Summary

Nested classes/interfaces inherited from class things.thinger.service.command.Command
`Command.CheckType, Command.DataType, Command.Occurrence, Command.Requirement`

Field Summary
`static java.lang.String` | `NAME`

Constructor Summary
`Command_QUIT()`

Method Summary
`void` | `accept()` This will be called when the command is called.
`void` | `declare()` Command declaration.
`java.lang.String` | `named()` Return the official name of this command.

Methods inherited from class things.thinger.service.command.Command
`checkDataForm, checkRequiredData, DECLARE_NAME, DECLARE_PARAMETER, DECLARE_RESPONSE, DONE, FLUSH, GET_PARAMETER, GET_SYSTEM_INTERFACE, getDefinition, getInstanceData, instantiateCommand, instantiateResponse, RESPOND, RESPOND, SET_PARAMETER, validateReceiptList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

Constructor Detail

### Command_QUIT

    public Command_QUIT()

Method Detail

### declare

    public void declare()
                 throws SystemException

  Command declaration. Do not call this directly!

  Specified by:
    `declare` in class `Command`
  Throws:
    `SystemException`

### named

    public java.lang.String named()

  Return the official name of this command. If there is another command named the same of different class signature, it will cause a significant system fault.

  Specified by:
    `named` in class `Command`
  Returns:
    The official name of the command.

### accept

    public void accept()
                throws SystemException

  This will be called when the command is called.

  Specified by:
    `accept` in class `Command`
  Throws:
    `SystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.